# Godot 4+ specific ignores
.godot/

# Ignore library files but not the gdextension file
godot/bin/*
!godot/bin/android
godot/bin/android/*
!godot/bin/android/.gitkeep
!godot/bin/linux
godot/bin/linux/*
!godot/bin/linux/.gitkeep
!godot/bin/macos
godot/bin/macos/*
!godot/bin/macos/.gitkeep
!godot/bin/windows
godot/bin/windows/*
!godot/bin/windows/.gitkeep
!godot/bin/*.gdextension
.sconsign*.dblite

# Ignore custom.py
custom.py

# Ignore generated compile_commands.json
compile_commands.json

# Binaries
*.o
*.os
*.so
*.obj
*.bc
*.pyc
*.dblite
*.pdb
*.lib
*.config
*.creator
*.creator.user
*.files
*.includes
*.idb
*.exp

# Other stuff
*.log

# VSCode
.vscode/*
!.vscode/extensions.json
.cache/
# KDevelop
.kdev4
*.kdev4
*.kate-swp
